Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Interface CRLSelector

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  X509CRLSelector

public interface CRLSelector
extends Cloneable

A selector that defines a set of criteria for selecting `CRL`s. Classes that implement this interface are often used to specify which `CRL`s should be retrieved from a `CertStore`.

Concurrent Access

Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CRL`, `CertStore`, `CertStore.getCRLs(java.security.cert.CRLSelector)`

Method Summary
`Object` | `clone()` Makes a copy of this `CRLSelector`.
`boolean` | `match(CRL crl)` Decides whether a `CRL` should be selected.

Method Detail

### match

    public boolean match(CRL crl)

  Decides whether a `CRL` should be selected.

  Parameters:
    `crl` - the `CRL` to be checked
  Returns:
    `true` if the `CRL` should be selected, `false` otherwise

### clone

    public Object clone()

  Makes a copy of this `CRLSelector`. Changes to the copy will not affect the original and vice versa.

  Overrides:
    `clone` in class `Object`
  Returns:
    a copy of this `CRLSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.